Description

Mario would like to incorporate his Hilbert scheme code, but to do so he must compile with c++11 (because he uses several c++11
features).

How to do this while maintaining backward compatibility?

Related issues:

Related to CoCoALib - Design #999: configuration: include -std=c++03 by default? Closed 18 Jan 2017
Related to CoCoALib - Feature #82: C++11 compatibility questions Closed 26 Jan 2012
Related to CoCoA-5 - Design #83: C++11 compatibility questions In Progress 26 Jan 2012
History

#1 - 20 Feb 2017 13:19 - John Abbott

- Priority changed from Normal to Urgent

Mario makes essential use of various C++11 featues (e.g. auto variable declarations).

The problem is that CoCoALib continues to use std::auto_ptr which triggers numerous, annoying compiler warnings.
Issue #999 tackled the problem by setting a compiler flag -std=c++03. This correctly suppressed the warnings, but does not solve Mario's problem.

Possibilities are:

e enforce -std=c++11 and set the g++ flag -Wno-deprecated-declarations (but how portable to other compilers?)
¢ replace use of std::auto_ptr by std::_unique_ptr (or whatever is most appropriate); this means CoCoALib would no longer be C++03 compatible.

Comments? Other ideas?

#2 - 20 Feb 2017 13:20 - John Abbott
- Related to Design #999: configuration: include -std=c++03 by default? added

#3 - 20 Feb 2017 13:22 - John Abbott
- Related to Feature #82: C++11 compatibility questions added

#4 - 20 Feb 2017 13:22 - John Abbott
- Related to Design #83: C++11 compatibility questions added

23 Apr 2024 1/1



https://cocoa.dima.unige.it/redmine/issues/999
http://www.tcpdf.org

